var tl;
function onLoad() {
  SimileAjax.History.enabled = false;
  var eventSource = new Timeline.DefaultEventSource();
  var bandInfos = [
    Timeline.createBandInfo(
      {
        eventSource: eventSource,                      
        width:          "80%", 
        intervalUnit:   Timeline.DateTime.WEEK, 
        intervalPixels: 100
      }),
    Timeline.createBandInfo(
      {
        eventSource: eventSource,                      
        width:          "20%", 
        intervalUnit:   Timeline.DateTime.MONTH, 
        intervalPixels: 200
      })
  ];
  bandInfos[1].syncWith = 0;
  bandInfos[1].highlight = true;
  tl = Timeline.create(document.getElementById("evernote-timeline"), bandInfos);
  Timeline.loadJSON("/timeline_events", function(json, url){ eventSource.loadJSON(json, url); });
}

var resizeTimerID = null;
function onResize() {
  if (resizeTimerID == null) {
    resizeTimerID = window.setTimeout(function() {
                                        resizeTimerID = null;
                                        tl.layout();
                                      }, 500);
  }
}